# module ActionView::Context

# Action View Context¶ ↑

Action View contexts are supplied to Action Controller to render template. The default Action View context is ActionView::Base.

In order to work with ActionController, a Context must just include this module. The initialization of the variables used by the context (@output_buffer, @view_flow, and @virtual_path) is responsibility of the object that includes this module (although you can call #_prepare_context defined below).

### Attributes

output_buffer[RW]
view_flow[RW]

### Public Instance Methods

_layout_for(name=nil) click to toggle source

Encapsulates the interaction with the view flow so it returns the correct buffer on yield. This is usually overwriten by helpers to add more behavior. :api: plugin

    # File lib/action_view/context.rb, line 31
    def _layout_for(name=nil)
      name ||= :layout
      view_flow.get(name).html_safe
    end

_prepare_context() click to toggle source

Prepares the context by setting the appropriate instance variables. :api: plugin

    # File lib/action_view/context.rb, line 21
    def _prepare_context
      @view_flow     = OutputFlow.new
      @output_buffer = nil
      @virtual_path  = nil
    end